不能使用.NET Framework 4.6 或更高版本安装在服务器上安装 WSUS 3.2

症状

当您尝试安装 Windows 服务器更新服务 (WSUS) 3.2 服务器上使用 Microsoft.Net 框架 4.6 或更高版本已经安装,则您可能会收到以下错误消息:

没有此 Windows 安装服务软件包有问题。作为安装的一部分运行的程序未按预期方式完成。请联系您的支持人员或程序包供应商联系。

此外, WSUSSetup.log文件上记录以下消息:

安装 WSUS: WSUS 安装失败 (错误 0x80070643: 安装时发生严重错误。)

注释:

  • 因为软件更新点站点角色取决于 WSUS,此问题也会发生在系统中心配置管理器 (SCCM)。WSUS 将所需的软件更新同步和法规遵从性评估扫描在 SCCM 客户端上。

  • 此问题仅发生在如果 NET Framework 46 在安装 WSUS 3.2 之前被安装。

原因

此问题是由于 WSUS 3.2 无法正确检测到新安装的.NET Framework 版本。

解决方案

若要变通解决此问题,请执行以下步骤:

  1. 卸载 Microsoft.NET Framework 4.6

  2. 安装 WSUS 3.2

  3. 重新安装 Microsoft.NET Framework 4.6

有关.NET Framework 4.6 RC 中的已知问题的详细信息,请参阅已知.NET Framework 4.6 RC 的问题

有关.NET Framework 4.6 中的已知问题的详细信息,请参阅已知.NET Framework 4.6 的问题
 

详细信息

有关产品版本控制更改和.NET Framework 4.6 中的其效果的详细信息,请参阅.NET Framework 4.6 中应用程序兼容性

需要更多帮助?

扩展你的技能
了解培训
抢先获得新功能
加入 Microsoft 内部人员

此信息是否有帮助?

谢谢您的反馈意见!

谢谢你的反馈! 可能需要转接到 Office 支持专员。

×